%define anolis_release 1

Name:           perl-Mail-Sendmail
Version:        0.80
Release:        %{anolis_release}%{?dist}
Summary:        Simple platform independent mailer for Perl

License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Mail-Sendmail
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/Mail-Sendmail-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Not picked up automatically.
Requires:       perl(MIME::QuotedPrint)
Recommends:     perl(Digest::MD5)
Recommends:     perl(MIME::Base64)

%description
Mail::Sendmail is a simple platform independent library for sending
e-mail from your perl script.  It only requires Perl 5 and a network
connection.  Mail::Sendmail contains mainly &sendmail, which takes a
hash with the message to send and sends it. It is intended to be very
easy to setup and use.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q -n Mail-Sendmail-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
chmod -R u+w $RPM_BUILD_ROOT/*


%check
# We don't want to send the test mail -> no make test


%files
%license LICENSE
%{perl_vendorlib}/Mail/
%{_mandir}/man3/*.3pm*

%files doc
%doc Changes README Todo

%changelog
* Tue Feb 14 2023 happy_orange <songnannan@linux.alibaba.com> - 0.80-1
- package import to anolis23
